function p.get_mesh() return "bent_armor_1000p" end
function p.get_mesh2() return "armor_incr_regen" end

function p.payload(level, bp)
    game_upgrades.armor_regen()
    game_bent.remove_perm(level, bp)
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Armor Regeneration"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end

function p.on_telekinesis(level, bp)
    p.payload(level, bp)
end
